Property Endpoints - VoV Deployer

Teradata VantageCore on Virtualization (VoV) Deployer Getting Started

Product
VoV Deployer
Release Number
Deployer 5.0
Published
March 2026
ft:locale
en-US
ft:lastEdition
2026-03-31
dita:mapPath
ijo1771527092730.ditamap
dita:ditavalPath
ayr1485454803741.ditaval
dita:id
ijo1771527092730

List Properties

 GET /api/properties

Response:

 {
   "properties":  [
     {
       "name": "example-config",
       "path": "/tmp/vov-deployer/inventory/properties/example-config", 
       "has_node": true,
       "has_common": true
     }
   ]
 }

Get Property File

Use the following parameters.

  • property_type: "node" or "common"
  • name: Property set name
 GET /api/properties/{property_type}/{name}

Response:

 {
     "name": "example-config", 
     "type": "node", 
     "content": { ... }, 
     "path": "/path/to/file"
 }

Upload Property File

 POST /api/properties/upload 
 Content-Type: multipart/form-data

 file: <file> 
 property_type: "node"

Response:

 {
     "status": "uploaded",
     "path": "/tmp/vov-deployer/nodeITproperties.json", 
     "filename": "nodeITproperties.json"
 }